{% extends 'layout.html' %}

{% block body %}

<h1>{{ tool.display_name }} <small>{{ tool.description }}</small></h1>

<p class="lead">{{ tool.name }}</p>

{% for edam_operation in tool.edam_operations %}
<span class="label label-default">{{ edam_operation.label }}</span>
{% endfor %}

<table class="table table-condensed table-responsive table-hover">
  <thead>
    <tr>
      <th>Version</th>
      <th>Tool Shed</th>
      <th>Owner</th>
      <th>Galaxy instances where the tool is available</th>
    </tr>
  </thead>
  <tbody>
    {% for version in tool.versions|sort(attribute='version', reverse=True) %}
    <tr>
      <td>
        {% if version.tool_shed %}
          <a href="http://{{ version.tool_shed }}/view/{{ version.owner  }}/{{ tool.name }}/{{ version.changeset }}" target="_blank">{{ version.version }}</a>
        {% else %}
          {{ version.version }}
        {% endif %}
      </td>
      {% if version.tool_shed %}
      <td>{{ version.tool_shed|default('', True) }}</td>
      <td>{{ version.owner|default('', True)  }}</td>
      {% else %}
      <td>
        <i class="fa fa-warning"></i> Tool version not installed from a tool shed.<br/>
        <em>It may not be suitable for reproducible research.</em>
      </td>
      <td>?</td>
      {% endif %}
      <td>
        <ul class="list-unstyled">
          {% for instance in version.instances|sort(attribute='url') %}
          <li>
            <a href="http://{{instance.url}}{{ tool.link|default('', True) }}" target="_blank">{{instance.url}}</a>
          </li>
          {% endfor %}
        </ul>
      </td>
    </tr>
    {% endfor %}
  </tbody>
</table>

{% endblock %}
